package com.zfire.mall.manager.datasource.engin.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zfire.mall.manager.datasource.engin.entity.AgencyBills;
import com.zfire.mall.manager.datasource.engin.entity.Machine4Agency;
import com.zfire.mall.manager.datasource.engin.mapper.AgencyBillsMapper;
import com.zfire.mall.manager.datasource.engin.service.AgenyBillsService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;


@Service
public class AgenyBillsServiceImpl extends ServiceImpl<AgencyBillsMapper, AgencyBills> implements AgenyBillsService {

    @Resource
    AgencyBillsMapper agencyBillsMapper;

    @Override
    public List<Machine4Agency> machine4AgencyList(long billsId) {
        return agencyBillsMapper.machine4AgencyList(billsId);
    }

    @Override
    public List<Integer> findOrganizationByUserIds(List<Integer> userIds) {
        return agencyBillsMapper.findOrganizationByUserIds(userIds);
    }

    @Override
    public List<Integer> findSubOrganization(List<Integer> ids) {
        return agencyBillsMapper.findSubOrganization(ids);
    }


}
